Bug 254788 - audio/snd: Update to 21.2
Summary: audio/snd: Update to 21.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://cm-mail.stanford.edu/pipermai...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-05 13:53 UTC by Gian-Simon Purkert
Modified: 2021-04-16 05:50 UTC (History)
3 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
Update to 21.2 (4.40 KB, patch)
2021-04-05 13:53 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-04-05 13:53:15 UTC
Created attachment 223827 [details]
Update to 21.2
Comment 1 daniel.engberg.lists 2021-04-07 21:44:06 UTC
Old PR
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224883
Comment 2 Chris Hutchinson 2021-04-08 17:23:44 UTC
Testing now. Will report back shortly.

Changes:
Snd 21.1:

s7: s7_hash_code and hash-code (like CL's sxhash)
     s7_define_semisafe_typed_function

checked: notcurses 2.1.6, sbcl 2.1.1
Comment 3 Chris Hutchinson 2021-04-08 18:14:22 UTC
Comment on attachment 223827 [details]
Update to 21.2

Approved.

MFC quarterly

Builds/Works as intended on 12/amd64

Nice work.
Thanks!

===>  Staging for snd-21.2
===>   snd-21.2 depends on file: /usr/local/include/ladspa.h - found
===>   Generating temporary packing list
install  -s -m 555 audio/snd/work/snd-21.2/snd audio/snd/work/stage/usr/local/bin
install  -s -m 555 audio/snd/work/snd-21.2/snd-info audio/snd/work/stage/usr/local/bin
install  -s -m 555 audio/snd/work/snd-21.2/sndplay audio/snd/work/stage/usr/local/bin
install  -m 444 audio/snd/work/snd-21.2/snd.1 audio/snd/work/stage/usr/local/man/man1/
install  -m 0644 audio/snd/work/snd-21.2/HISTORY.Snd audio/snd/work/stage/usr/local/share/doc/snd
install  -m 0644 audio/snd/work/snd-21.2/README.Snd audio/snd/work/stage/usr/local/share/doc/snd
install  -m 0644 audio/snd/work/snd-21.2/*.html audio/snd/work/stage/usr/local/share/doc/snd
install  -m 0644 audio/snd/work/snd-21.2/pix/*.png audio/snd/work/stage/usr/local/share/doc/snd/pix
install  -m 0644 audio/snd/work/snd-21.2/DotEmacs audio/snd/work/stage/usr/local/share/examples/snd
====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
Comment 4 Gian-Simon Purkert 2021-04-08 21:20:03 UTC
Thanks,

Have a great Day.
Comment 5 Fernando Apesteguía freebsd_committer 2021-04-15 12:45:59 UTC
Q/A:  Makefile: [17]: use a tab (not space) after a variable name

No need to upload a new patch. Just try to run some linters first (portlint, portclippy)

Thanks!
Comment 6 Chris Hutchinson 2021-04-16 04:16:05 UTC
(In reply to Fernando Apesteguía from comment #5)
Oops! Sorry I missed that.

Thanks! :-)

--Chris
Comment 7 commit-hook freebsd_committer 2021-04-16 05:50:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a48001c597aec8e6bcfe003b259dd677627e1bf8

commit a48001c597aec8e6bcfe003b259dd677627e1bf8
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-15 12:44:13 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-16 05:46:04 +0000

    audio/snd: Update to 21.2

    ChangeLog: https://cm-mail.stanford.edu/pipermail/cmdist/2021-February/008346.html

    PR:     254788
    Reported by:    gspurki@gmail.com
    Reviewed by:    portmaster@bsdforge.com (maintainer)

 audio/snd/Makefile  |  8 ++++----
 audio/snd/distinfo  |  5 +++--
 audio/snd/pkg-plist | 23 +++++++++++------------
 3 files changed, 18 insertions(+), 18 deletions(-)
Comment 8 Fernando Apesteguía freebsd_committer 2021-04-16 05:50:35 UTC
Committed,

Thanks!